Section (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class Section

- java.lang.Object
- - org.xbill.DNS.Section

-     public final class Section
      extends Object

  Constants and functions relating to DNS message sections
  Author:
    Brian Wellington

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDITIONAL` The additional (fourth) section
    `static int` | `ANSWER` The answer (second) section
    `static int` | `AUTHORITY` The authority (third) section
    `static int` | `PREREQ` The prerequisite (second) section of a dynamic update message
    `static int` | `QUESTION` The question (first) section
    `static int` | `UPDATE` The update (third) section of a dynamic update message
    `static int` | `ZONE` The zone (first) section of a dynamic update message

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `longString(int i)` Converts a numeric Section into a full description String
    `static String` | `string(int i)` Converts a numeric Section into an abbreviation String
    `static String` | `updString(int i)` Converts a numeric Section into a full description String for an update Message.
    `static int` | `value(String s)` Converts a String representation of a Section into its numeric value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### QUESTION

          public static final int QUESTION

      The question (first) section
      See Also:
        Constant Field Values

    - #### ANSWER

          public static final int ANSWER

      The answer (second) section
      See Also:
        Constant Field Values

    - #### AUTHORITY

          public static final int AUTHORITY

      The authority (third) section
      See Also:
        Constant Field Values

    - #### ADDITIONAL

          public static final int ADDITIONAL

      The additional (fourth) section
      See Also:
        Constant Field Values

    - #### ZONE

          public static final int ZONE

      The zone (first) section of a dynamic update message
      See Also:
        Constant Field Values

    - #### PREREQ

          public static final int PREREQ

      The prerequisite (second) section of a dynamic update message
      See Also:
        Constant Field Values

    - #### UPDATE

          public static final int UPDATE

      The update (third) section of a dynamic update message
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### string

          public static String string(int i)

      Converts a numeric Section into an abbreviation String

    - #### longString

          public static String longString(int i)

      Converts a numeric Section into a full description String

    - #### updString

          public static String updString(int i)

      Converts a numeric Section into a full description String for an update Message.

    - #### value

          public static int value(String s)

      Converts a String representation of a Section into its numeric value